OT: RadRails fails to open

Not sure what happened so I thought I’d throw it out. I’m considering re-installing but thought before I did that perhaps someone has an easier fix

!ENTRY org.eclipse.osgi 4 0 2006-10-30 05:26:37.296
!MESSAGE Application error

!STACK 1
java.lang.NoClassDefFoundError: org/eclipse/core/resources/IProject
at org.eclipse.ui.internal.ide.model.WorkbenchAdapterFactory.(WorkbenchAdapterFactory.java:35)
at org.eclipse.ui.internal.ide.model.WorkbenchAdapterBuilder.registerAdapters
(WorkbenchAdapterBuilder.java:33)
at org.radrails.ide.ui.RadRailsWorkbenchAdvisor.preStartup(RadRailsWorkbenchAdvisor.java:56)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1083)
at org.eclipse.ui.internal.Workbench.runUI
(Workbench.java:1847)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at org.radrails.ide.ui.RadRails.run
(RadRails.java:78)
at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java
:92)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run
(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke
(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:

!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.eclipse.platform_3.2.0.v20060601/ was not resolved.
!SUBENTRY 2 org.eclipse.platform 2 0 2006-10-30 05:26:37.453
!MESSAGE Missing required bundle org.eclipse.ui.intro.universal_[3.2.0,4.0.0).

!ENTRY org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:

!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.eclipse.core.filesystem.linux.x86_1.0.0.v20060603.jar [19] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:
37.453
!MESSAGE Bundle update@plugins/org.eclipse.platform_3.2.0.v20060601/ [43] was not resolved.
!SUBENTRY 2 org.eclipse.platform 2 0 2006-10-30 05:26:37.453
!MESSAGE Missing required bundle org.eclipse.ui.intro.universal
_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.eclipse.update.core.linux_3.2.0.v20060605.jar [73] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:
37.453
!MESSAGE Bundle update@plugins/org.radrails.db.ui_0.7.0.jar [82] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.radrails.doc_0.7.0.jar [83] was not resolved.

!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.radrails.ide.ui_0.7.0.jar [84] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.radrails.rails.core_0.7.0.jar [85] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.radrails.rails.ui_0.7.0.jar [86] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.radrails.server.core_0.7.0.jar [87] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.radrails.server.ui_0.7.0.jar [88] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.tigris.subversion.subclipse.core_1.0.1/ [100] was not resolved.

!SUBENTRY 1 org.eclipse.osgi 2 0 2006-10-30 05:26:37.453
!MESSAGE Bundle update@plugins/org.tigris.subversion.subclipse.ui_1.0.1/ [101] was not resolved.


http://en.wikipedia.org/wiki/Dark_ambient